AI extract structured data from a web page
curl --request POST \
--url https://api.weblinq.dev/v1/web/ai-extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"waitTime": 0,
"responseType": "json",
"prompt": "<string>",
"instructions": "<string>"
}
'import requests
url = "https://api.weblinq.dev/v1/web/ai-extract"
payload = {
"url": "<string>",
"waitTime": 0,
"responseType": "json",
"prompt": "<string>",
"instructions": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
waitTime: 0,
responseType: 'json',
prompt: '<string>',
instructions: '<string>'
})
};
fetch('https://api.weblinq.dev/v1/web/ai-extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"metadata": {
"url": "<string>",
"timestamp": "<string>",
"model": "<string>",
"fieldsExtracted": 123,
"inputTokens": 123,
"outputTokens": 123
},
"extracted": {},
"text": "<string>"
},
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"creditsCost": 123
}{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}{
"success": false,
"error": {
"issues": [
{
"code": "invalid_type",
"expected": "string",
"received": "undefined",
"path": [
"url"
],
"message": "Required"
}
],
"name": "ZodError"
}
}{
"success": false,
"error": {
"message": "Authentication required",
"code": "UNAUTHORIZED",
"requestId": "bf68e5de-f6ef-479f-9328-6d3f48d5b7d4"
}
}Web
AI extract structured data from a web page
AI extract JSON data or text content using AI-powered parsing
POST
/
v1
/
web
/
ai-extract
AI extract structured data from a web page
Authorizations
Enter your API token or session token
Body
application/json
AI extract parameters
Response
AI extract completed successfully
⌘I
